# Príprava testovacieho prostredia

Pre testovanie projektu ANALYZA je v projekte mu-analyza na metacentre dostupná séria strojov na ktorých beží:
* kubernetes (platforma pre beh kontainerov)
* dátový sklad
* docker repozitár na ukladanie images (moduly)
* PostgresQL databáza pre orchestrátor na ukladanie definícií modulov a operácií a taktiež na držanie informácií o bežiacich moduloch/operáciach

Každý člen má vyhradené oddelené prostredie v každej službe s vínimkou docker repozitára a dátového skladu. Nasledujúci text popisuje prípravu vlastného prostredia a konfigurácie pre orchestrátor/db_filler.

Pre ssh prístup na server je potrebné vlastniť ssh kľúče (private + public). Ak dotyčný nedisponuje takýmito kľučmi, je možné ich vytvoriť následovne:
* Linux: 
```bash
ssh-keygen -t rsa -b 2048 -C <váš e-mail>
# postupne odpovedáme na prompt
```
* Windows: využijeme utilitu __PuTTYgen__. 

Vlastnený public key s požiadavkou o prístup na server odošleme na email: 445313@mail.muni.cz.  
Počkáme na odpoveď s potvrdením. 

Prihlásime sa na hlavný server (je potrebné byť v MUNI sieti):
```bash
ssh ubuntu@147.251.124.85
```

Na tomto serveri si nádlesne vytvoríme složku s našim menom/prezívkou.  
Tento priečinok slúži ako miesto pre všetky naše súbory.

Vytvoríme si vlastnú databázu:
```bash
psql postgres
CREATE DATABASE <meno>; #nezabudnut strednik
\q
```

Vytvoríme si vlastný namespace v kubernetes platforme:
```bash
kubectl create namespace <meno>
```

Do našej složky si nakopírujeme složku z home dir s názvom config-example, ktorú si následne premenujeme na "config". Táto složka obsahuje 2 súbory potrebné pre štart orchestrátora/db_filler;
*  config.yaml - konfiguračný súbor pre orchestrátor/db_filler
*  kube.config - súbor potrebný pre prístup ku kubernetes

Následne zmeníme hodnoty v konfiguračnom súbore tak, aby reflektovali hodnoty naše prostredie:
```bash
platform:
   kubernetes:
      namespace: "<meno>"                                                           

api:
   port: "<zvolený port>" # pozri nižšie

definitions:
   postgres:
      database: "<meno>"

metadata: 
   postgres:
      database: "<meno>"
```

Každá osoba si na testovacom serveri spúšťa pre svoje potreby svoj vlastný orchestrátor. Každý orchestrátor počúva na špecifikovanom porte z konfiguračného súboru. Logicky nie je možné aby mali dvaja ľudia zvolený rovnaký port. Preto si prosím port zvoľte a napíšte mi ho aby som nasledujúcu tabuľku aktualizoval:

|meno|port|
|---|---|
|denis|8082|
|denisa|8081|
|cermak|8083|
|drasar|8084|
|batko|8085|
|peschel|8086|
|vizualizace-gui|8080|