// Copyright (C) 2020 Masaryk University
//
// Licensed under the Apache License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
//
//     https://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.

package app

import (
	"gitlab.ics.muni.cz/ANALYZA/orchestrator/internal/logger"
	"gitlab.ics.muni.cz/ANALYZA/orchestrator/internal/model"
)

type platformService struct {
	manager model.PlatformManager
	logger  logger.Logger
}

// StartModule takes module metadata, its definition and env Variables to run Module on platform
func (s *platformService) StartModule(module *model.Module, definition *model.ModuleDefinition, env map[string]string) (*model.Module, error) {
	// todo Log
	return s.manager.StartModule(module, definition, env)
}

// StopModule stops and deletes desired module
func (s *platformService) StopModule(moduleID string) error {
	// todo Log
	return s.manager.StopModule(moduleID)
}

// StatusModule returns status of running module
func (s *platformService) StatusModule(moduleID string) (model.ModuleStatus, error) {
	// todo Log
	return s.manager.StatusModule(moduleID)
}