// Copyright (C) 2020 Masaryk University
//
// Licensed under the Apache License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
//
//     https://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.

package kubernetes

import (
	v1 "k8s.io/api/core/v1"
	metav1 "k8s.io/apimachinery/pkg/apis/meta/v1"
	"k8s.io/client-go/kubernetes/fake"
	"sync"
	"testing"
)

func TestClient(t *testing.T) {
	client := fake.NewSimpleClientset(
		&v1.Pod{
			ObjectMeta: metav1.ObjectMeta{
				Name:        "influxdb-v2",
				Namespace:   "default",
				Annotations: map[string]string{},
			},
		},
		&v1.Pod{
			ObjectMeta: metav1.ObjectMeta{
				Name:        "chronograf",
				Namespace:   "default",
				Annotations: map[string]string{},
			},
		},
	)
	_ = kubernetesManager{
		c:      client,
		config: Config{},
		sync:   sync.Mutex{},
	}
}
